Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Administration/Views/ProblemView.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Administration/Views/ProblemView.cs	(revision 5533)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Administration/Views/ProblemView.cs	(revision 5533)
@@ -0,0 +1,120 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.Clients.OKB.Authentication;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Clients.OKB.Administration {
+  [View("Problem View")]
+  [Content(typeof(Problem), true)]
+  public partial class ProblemView : NamedOKBItemView {
+    private List<Platform> platformComboBoxValues;
+    private List<ProblemClass> problemClassComboBoxValues;
+
+    public new Problem Content {
+      get { return (Problem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public ProblemView() {
+      InitializeComponent();
+    }
+
+    protected override void OnInitialized(System.EventArgs e) {
+      base.OnInitialized(e);
+      platformComboBoxValues = AdministrationClient.Instance.Platforms.ToList();
+      platformComboBox.DataSource = platformComboBoxValues;
+      problemClassComboBoxValues = AdministrationClient.Instance.ProblemClasses.ToList();
+      problemClassComboBox.DataSource = problemClassComboBoxValues;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        platformComboBox.SelectedIndex = -1;
+        problemClassComboBox.SelectedIndex = -1;
+      } else {
+        platformComboBox.SelectedItem = platformComboBoxValues.FirstOrDefault(p => p.Id == Content.PlatformId);
+        problemClassComboBox.SelectedItem = problemClassComboBoxValues.FirstOrDefault(a => a.Id == Content.ProblemClassId);
+      }
+      usersListBox.DataSource = null;
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      platformComboBox.Enabled = (Content != null) && !ReadOnly;
+      problemClassComboBox.Enabled = (Content != null) && !ReadOnly;
+      refreshUsersButton.Enabled = Content != null;
+      storeUsersButton.Enabled = (usersListBox.DataSource != null) && !ReadOnly;
+      usersListBox.Enabled = (usersListBox.DataSource != null) && !ReadOnly;
+    }
+
+    protected override void OnContentPropertyChanged(string propertyName) {
+      switch (propertyName) {
+        case "PlatformId":
+          platformComboBox.SelectedItem = platformComboBoxValues.FirstOrDefault(p => p.Id == Content.PlatformId);
+          break;
+        case "ProblemClassId":
+          problemClassComboBox.SelectedItem = problemClassComboBoxValues.FirstOrDefault(a => a.Id == Content.ProblemClassId);
+          break;
+      }
+    }
+
+    private void platformComboBox_SelectedValueChanged(object sender, System.EventArgs e) {
+      if (Content != null) {
+        Platform selected = platformComboBox.SelectedItem as Platform;
+        if (selected != null) Content.PlatformId = selected.Id;
+      }
+    }
+    private void problemClassComboBox_SelectedValueChanged(object sender, System.EventArgs e) {
+      if (Content != null) {
+        ProblemClass selected = problemClassComboBox.SelectedItem as ProblemClass;
+        if (selected != null) Content.ProblemClassId = selected.Id;
+      }
+    }
+
+    private void refreshUsersButton_Click(object sender, System.EventArgs e) {
+      List<Guid> ids = AdministrationClient.Instance.GetProblemUsers(Content.Id);
+      if (ids != null) {
+        List<User> users = AuthenticationClient.Instance.Users.ToList();
+        usersListBox.DataSource = users;
+        usersListBox.DisplayMember = "Name";
+        usersListBox.SelectedItems.Clear();
+        foreach (Guid id in ids)
+          usersListBox.SelectedItems.Add(users.First(u => u.Id == id));
+        usersListBox.Enabled = !ReadOnly;
+        storeUsersButton.Enabled = false;
+      }
+    }
+    private void storeUsersButton_Click(object sender, System.EventArgs e) {
+      if (AdministrationClient.Instance.UpdateProblemUsers(Content.Id, usersListBox.SelectedItems.Cast<User>().Select(u => u.Id).ToList()))
+        storeUsersButton.Enabled = false;
+    }
+    private void usersListBox_SelectedIndexChanged(object sender, EventArgs e) {
+      storeUsersButton.Enabled = !ReadOnly;
+    }
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Authentication/AuthenticationClient.cs
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Authentication/AuthenticationClient.cs	(revision 5533)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Authentication/AuthenticationClient.cs	(revision 5533)
@@ -0,0 +1,101 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Clients.Common;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Clients.OKB.Authentication {
+  [Item("AuthenticationClient", "OKB authentication client.")]
+  public sealed class AuthenticationClient : IContent {
+    private static AuthenticationClient instance;
+    public static AuthenticationClient Instance {
+      get {
+        if (instance == null) instance = new AuthenticationClient();
+        return instance;
+      }
+    }
+
+    #region Properties
+    private IEnumerable<User> users;
+    public IEnumerable<User> Users {
+      get { return users; }
+    }
+    #endregion
+
+    private AuthenticationClient() { }
+
+    #region Refresh
+    public void Refresh() {
+      OnRefreshing();
+
+      var call = new Func<Exception>(delegate() {
+        try {
+          users = CallAuthenticationService<List<User>>(s => s.GetUsers()).OrderBy(x => x.Name);
+          return null;
+        }
+        catch (Exception ex) {
+          return ex;
+        }
+      });
+      call.BeginInvoke(delegate(IAsyncResult result) {
+        Exception ex = call.EndInvoke(result);
+        if (ex != null) ErrorHandling.ShowErrorDialog("Refresh failed.", ex);
+        OnRefreshed();
+      }, null);
+    }
+    #endregion
+
+    #region Events
+    public event EventHandler Refreshing;
+    private void OnRefreshing() {
+      EventHandler handler = Refreshing;
+      if (handler != null) handler(this, EventArgs.Empty);
+    }
+    public event EventHandler Refreshed;
+    private void OnRefreshed() {
+      EventHandler handler = Refreshed;
+      if (handler != null) handler(this, EventArgs.Empty);
+    }
+    #endregion
+
+    #region Helpers
+    private T CallAuthenticationService<T>(Func<IAuthenticationService, T> call) {
+      AuthenticationServiceClient client = ClientFactory.CreateClient<AuthenticationServiceClient, IAuthenticationService>();
+      try {
+        return call(client);
+      }
+      finally {
+        try {
+          client.Close();
+        }
+        catch (Exception) {
+          client.Abort();
+        }
+      }
+    }
+    #endregion
+  }
+}
Index: branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5504)
+++ branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5533)
@@ -99,316 +99,82 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Administration\AdministrationClient.cs" />
+    <Compile Include="Administration\AdministratorMenuItem.cs" />
     <Compile Include="Administration\ServiceClient\AdministrationServiceClient.cs" />
-    <Compile Include="AdministratorMenuItem.cs" />
+    <Compile Include="Administration\ServiceClient\Algorithm.cs" />
+    <Compile Include="Administration\ServiceClient\AlgorithmClass.cs" />
+    <Compile Include="Administration\ServiceClient\INamedOKBItem.cs" />
+    <Compile Include="Administration\ServiceClient\IOKBItem.cs" />
+    <Compile Include="Administration\ServiceClient\NamedOKBItem.cs" />
+    <Compile Include="Administration\ServiceClient\OKBItem.cs" />
+    <Compile Include="Administration\ServiceClient\Platform.cs" />
+    <Compile Include="Administration\ServiceClient\Problem.cs" />
+    <Compile Include="Administration\ServiceClient\ProblemClass.cs" />
+    <Compile Include="Administration\Views\AdministratorView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\AdministratorView.Designer.cs">
+      <DependentUpon>AdministratorView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmClassCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmClassCollectionView.Designer.cs">
+      <DependentUpon>AlgorithmClassCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmCollectionView.Designer.cs">
+      <DependentUpon>AlgorithmCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\AlgorithmView.Designer.cs">
+      <DependentUpon>AlgorithmView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\NamedOKBItemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\NamedOKBItemView.Designer.cs">
+      <DependentUpon>NamedOKBItemView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\OKBItemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\OKBItemView.Designer.cs">
+      <DependentUpon>OKBItemView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\PlatformCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\PlatformCollectionView.Designer.cs">
+      <DependentUpon>PlatformCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemClassCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemClassCollectionView.Designer.cs">
+      <DependentUpon>ProblemClassCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemCollectionView.Designer.cs">
+      <DependentUpon>ProblemCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Administration\Views\ProblemView.Designer.cs">
+      <DependentUpon>ProblemView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Authentication\AuthenticationClient.cs" />
     <Compile Include="Authentication\ServiceClient\AuthenticationServiceClient.cs" />
-    <Compile Include="ItemWrapper.cs" />
-    <Compile Include="NamedItemWrapper.cs" />
-    <Compile Include="OKBRun.cs" />
-    <Compile Include="EmptyAlgorithm.cs" />
-    <Compile Include="OKBAlgorithm.cs" />
-    <Compile Include="MultiObjectiveOKBProblem.cs" />
-    <Compile Include="EmptyMultiObjectiveProblem.cs" />
-    <Compile Include="EmptyEvaluator.cs" />
-    <Compile Include="EmptyProblem.cs" />
-    <Compile Include="EmptyMultiObjectiveEvaluator.cs" />
-    <Compile Include="EmptySolutionCreator.cs" />
-    <Compile Include="EmptySingleObjectiveEvaluator.cs" />
-    <Compile Include="EmptySingleObjectiveProblem.cs" />
     <Compile Include="Query\ServiceClient\QueryServiceClient.cs" />
     <Compile Include="RunCreation\ServiceClient\RunCreationServiceClient.cs" />
-    <Compile Include="SingleObjectiveOKBProblem.cs" />
-    <Compile Include="OKBProblem.cs" />
-    <Compile Include="QueryMenuItem.cs" />
-    <Compile Include="OKBClient.cs" />
-    <Compile Include="OKBExperiment.cs" />
     <Compile Include="HeuristicLabClientsOKBPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="ServiceClients\Algorithm.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="ServiceClients\AlgorithmClass.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="ServiceClients\AuthenticationServiceClient.cs" />
-    <Compile Include="ServiceClients\AlgorithmData.cs" />
-    <Compile Include="ServiceClients\AlgorithmParameter.cs" />
-    <Compile Include="ServiceClients\CombinedFilter.cs" />
-    <Compile Include="ServiceClients\OKBServiceClients.cs" />
-    <Compile Include="ServiceClients\SetComparisonStringAvailableValuesFilter.cs" />
-    <Compile Include="ServiceClients\NameSetComparisonStringAvailableValuesFilter.cs" />
-    <Compile Include="ServiceClients\OrdinalComparisonDateTimeFilter.cs" />
-    <Compile Include="ServiceClients\OrdinalComparisonLongFilter.cs" />
-    <Compile Include="ServiceClients\SetComparisonStringFilter.cs" />
-    <Compile Include="ServiceClients\NameSetComparisonStringFilter.cs" />
-    <Compile Include="ServiceClients\NameOrdinalComparisonLongFilter.cs" />
-    <Compile Include="ServiceClients\NameOrdinalComparisonDoubleFilter.cs" />
-    <Compile Include="ServiceClients\NameEqualityComparisonByteArrayFilter.cs" />
-    <Compile Include="ServiceClients\NameEqualityComparisonBoolFilter.cs" />
-    <Compile Include="ServiceClients\Filter.cs" />
-    <Compile Include="ServiceClients\Run.cs" />
-    <Compile Include="ServiceClients\Experiment.cs" />
-    <Compile Include="ServiceClients\Result.cs" />
-    <Compile Include="ServiceClients\ProblemParameter.cs" />
-    <Compile Include="ServiceClients\ProblemData.cs" />
-    <Compile Include="ServiceClients\Problem.cs" />
-    <Compile Include="ServiceClients\ProblemClass.cs" />
-    <Compile Include="ServiceClients\DataType.cs" />
-    <Compile Include="ServiceClients\NamedOKBItem.cs" />
-    <Compile Include="ServiceClients\Platform.cs" />
-    <Compile Include="ServiceClients\INamedOKBItem.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="ServiceClients\IOKBItem.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="ServiceClients\OKBItem.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Views\AdministratorView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AdministratorView.Designer.cs">
-      <DependentUpon>AdministratorView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmClassCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmClassCollectionView.Designer.cs">
-      <DependentUpon>AlgorithmClassCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmCollectionView.Designer.cs">
-      <DependentUpon>AlgorithmCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmView.Designer.cs">
-      <DependentUpon>AlgorithmView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmDataView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmDataView.Designer.cs">
-      <DependentUpon>AlgorithmDataView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmParameterCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmParameterCollectionView.Designer.cs">
-      <DependentUpon>AlgorithmParameterCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\AlgorithmParameterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\AlgorithmParameterView.Designer.cs">
-      <DependentUpon>AlgorithmParameterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OKBAlgorithmView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OKBAlgorithmView.Designer.cs">
-      <DependentUpon>OKBAlgorithmView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OKBProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OKBProblemView.Designer.cs">
-      <DependentUpon>OKBProblemView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\SetComparisonStringAvailableValuesFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\SetComparisonStringAvailableValuesFilterView.Designer.cs">
-      <DependentUpon>SetComparisonStringAvailableValuesFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NameSetComparisonStringAvailableValuesFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NameSetComparisonStringAvailableValuesFilterView.Designer.cs">
-      <DependentUpon>NameSetComparisonStringAvailableValuesFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\CombinedFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\CombinedFilterView.Designer.cs">
-      <DependentUpon>CombinedFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NameSetComparisonStringFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NameSetComparisonStringFilterView.Designer.cs">
-      <DependentUpon>NameSetComparisonStringFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NameOrdinalComparisonLongFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NameOrdinalComparisonLongFilterView.Designer.cs">
-      <DependentUpon>NameOrdinalComparisonLongFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NameEqualityComparisonBoolFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NameEqualityComparisonBoolFilterView.Designer.cs">
-      <DependentUpon>NameEqualityComparisonBoolFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\SetComparisonStringFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\SetComparisonStringFilterView.Designer.cs">
-      <DependentUpon>SetComparisonStringFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\SetComparisonFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\SetComparisonFilterView.Designer.cs">
-      <DependentUpon>SetComparisonFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OrdinalComparisonLongFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OrdinalComparisonLongFilterView.Designer.cs">
-      <DependentUpon>OrdinalComparisonLongFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NameOrdinalComparisonDoubleFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NameOrdinalComparisonDoubleFilterView.Designer.cs">
-      <DependentUpon>NameOrdinalComparisonDoubleFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OrdinalComparisonFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OrdinalComparisonFilterView.Designer.cs">
-      <DependentUpon>OrdinalComparisonFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\EqualityComparisonFilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\EqualityComparisonFilterView.Designer.cs">
-      <DependentUpon>EqualityComparisonFilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\FilterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\FilterView.Designer.cs">
-      <DependentUpon>FilterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\QueryView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\QueryView.Designer.cs">
-      <DependentUpon>QueryView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\RunView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\RunView.Designer.cs">
-      <DependentUpon>RunView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ExperimentView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ExperimentView.Designer.cs">
-      <DependentUpon>ExperimentView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\RunCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\RunCollectionView.Designer.cs">
-      <DependentUpon>RunCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ExperimentCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ExperimentCollectionView.Designer.cs">
-      <DependentUpon>ExperimentCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemParameterView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemParameterView.Designer.cs">
-      <DependentUpon>ProblemParameterView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ResultView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ResultView.Designer.cs">
-      <DependentUpon>ResultView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ResultCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ResultCollectionView.Designer.cs">
-      <DependentUpon>ResultCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemParameterCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemParameterCollectionView.Designer.cs">
-      <DependentUpon>ProblemParameterCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OKBExperimentView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OKBExperimentView.Designer.cs">
-      <DependentUpon>OKBExperimentView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemDataView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemDataView.Designer.cs">
-      <DependentUpon>ProblemDataView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemView.Designer.cs">
-      <DependentUpon>ProblemView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemCollectionView.Designer.cs">
-      <DependentUpon>ProblemCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\ProblemClassCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\ProblemClassCollectionView.Designer.cs">
-      <DependentUpon>ProblemClassCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\DataTypeView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\DataTypeView.Designer.cs">
-      <DependentUpon>DataTypeView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\DataTypeCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\DataTypeCollectionView.Designer.cs">
-      <DependentUpon>DataTypeCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\PlatformCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\PlatformCollectionView.Designer.cs">
-      <DependentUpon>PlatformCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\OKBItemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\OKBItemView.Designer.cs">
-      <DependentUpon>OKBItemView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Views\NamedOKBItemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Views\NamedOKBItemView.Designer.cs">
-      <DependentUpon>NamedOKBItemView.cs</DependentUpon>
-    </Compile>
     <None Include="app.config" />
     <None Include="Authentication\ServiceClient\GenerateServiceClient.cmd" />
@@ -417,5 +183,4 @@
     <None Include="Query\ServiceClient\GenerateServiceClient.cmd" />
     <None Include="RunCreation\ServiceClient\GenerateServiceClient.cmd" />
-    <None Include="ServiceClients\GenerateServiceClients.cmd" />
     <None Include="UpdateLocalInstallation.cmd" />
   </ItemGroup>
